import React, {Component} from 'react';
import Card from '@material-ui/core/Card';
import CardContent from '@material-ui/core/CardContent';
import CardActions from '@material-ui/core/CardActions';
import Typography from '@material-ui/core/Typography';
import livro from "../img/laranja/LIVRO_DIGITAL.jpg";
import Library from '@material-ui/icons/LibraryBooks';


class MaterialCard extends Component {
  constructor(props) {
    super(props);
    this.state={
      thumbnail: livro,
    };
  }
  render(){
   return (
     <Card>
       <img src={this.state.thumbnail} alt="thumbnail do recurso"/>
       <CardContent style={{height: "60%", textAlign: "left", paddingBottom: "0px"}}>
         <Typography variant="body2" color="textSecondary" component="p" style={{overflow: "hidden", fontSize: "0.8em"}}>
           {this.props.name}
         </Typography>
       </CardContent>
       <CardActions style={{justifyContent: "space-between"}}>
        <Library style={{color:"#e81f4f"}} />
       </CardActions>
       <CardActions style={{borderTop:"1px solid #e5e5e5", justifyContent: "space-between"}}>
       <Typography>Expandir??</Typography>
       </CardActions>
     </Card>
   );}
 }


export default MaterialCard;
