import React, {Component} from 'react';
import {Row, Col, Container} from 'react-grid-system';
import Bt from './Button.js'

const acessibilityBar ={
  width: '100%',
  color: 'gray',
  fontFamily: '"Roboto", Sans-Serif',
  whiteSpace: 'nowrap',
  fontSize: '0.7vw',
  textAlign: 'right'

}

class AcessibilityBar extends Component{
  renderBt(name, link=undefined){
    return <Bt name={name} link={link}/>
  }
  render(){
    return(
    <Container fluid={true}>
      <Row style={acessibilityBar}>
        <Col md={6} xs={6} lg={6} style={{textAlign: 'left'}}>
          {this.renderBt("Ir para conteúdo 1", "texto1")}
          {this.renderBt("Ir para menu 2", "texto2")}
          {this.renderBt("Ir para menu 3", "texto3")}
          {this.renderBt("Ir para rodapé 4", "texto4")}
        </Col>
        <Col md={6} xs={6} lg={6} style={{textAlign: 'right'}}>
          Tamanho do Texto: {this.renderBt("A+")}
          {this.renderBt("A-")}
          {this.renderBt("A")}
          {this.renderBt("Contraste")}
          {this.renderBt("Acessibilidade")}
          {this.renderBt("Mapa do Site")}
        </Col>
      </Row>
    </Container>
  );
  }
}
export default AcessibilityBar;
