import React, {Component} from 'react';
import {Row, Col, Container} from 'react-grid-system';
import eduConectada from '../img/educa-conectada.png';

const blueFooter={
  backgroundColor: "#00bcd4",
  color: "white",
  display: "block",
  paddingTop: "30px",
  paddingBottom: "20px",
  verticalAlign: "bottom"
}
const listStyle={
  listStyleType: "none",
  fontSize: "80%",
  padding: "0",
  lineHeight: "1.6",
}

class EcFooter extends Component{
  render(){
    return(
      <div style={blueFooter}>
        <Container>
        <Row>
        <Col md={4} sm={4}>
          <h4>Sobre</h4>
          <ul style={listStyle}>
          <li> <a href="#sobre">Sobre a Plataforma</a> </li>
          <li> <a href="#parceiros">Portais Parceiros</a> </li>
          <li> <a href="#termos-de-uso">Termos de Uso</a> </li>
          <li> <a href="#contato">Contato</a> </li>
          </ul>
        </Col>
        <Col md={4} sm={4}>
          <h4>Ajuda</h4>
          <ul style={listStyle}>
          <li>    <a href="#ajuda">Central de Ajuda</a> </li>
          <li>    <a href="#publicar">Publicando Recursos</a> </li>
          <li>    <a href="#busca">Encontrando Recursos</a> </li>
          <li>    <a href="#rede">Participando da Rede</a> </li>
          <li>    <a href="#conta">Gerenciando a Conta</a> </li>
          </ul>
        </Col>
        <Col md={4} sm={4}>
          <img src={eduConectada} height="50%" alt="logo educação conectada"/>
        </Col>
        </Row>
        </Container>
      </div>
    )
  }
}
export default EcFooter;
